Create Mobility Migration Intents

Create Mobility Migration Intents
Create new migration intents

Create new migration intents

Request
URI
POST
https://{server}/hybridity/api/mobility/migrations
COPY
Request Body

Migration Intent Object.

migrationIntentsRequest of type(s) application/json
Required
{
    "items": [
        {
            "desiredMigrationId": "string",
            "desiredMigrationGroupId": "string",
            "migrationId": "string",
            "migrationGroupId": "string",
            "migrationType": "string",
            "state": "string",
            "entity": {
                "entityId": "string",
                "entityType": "string",
                "entityName": "string",
                "summary": {
                    "guestFullName": "string",
                    "guestId": "string",
                    "guestHostName": "string",
                    "memorySizeMB": "number",
                    "numCpu": 0,
                    "diskSize": "number",
                    "memorySize": "number"
                }
            },
            "source": {
                "endpointId": "string",
                "computeResourceId": "string",
                "endpointType": "string",
                "endpointName": "string",
                "resourceType": "string",
                "resourceId": "string",
                "resourceName": "string"
            },
            "destination": {
                "endpointId": "string",
                "computeResourceId": "string",
                "endpointType": "string",
                "endpointName": "string",
                "resourceType": "string",
                "resourceId": "string",
                "resourceName": "string"
            },
            "transferParams": {
                "transferId": "string",
                "transferGroupId": "string",
                "transferType": "string",
                "schedule": {
                    "startTime": 0,
                    "expiryTime": 0
                },
                "longRecovery": false,
                "continuousSync": false,
                "syncInterval": 0,
                "transferProfile": [
                    {
                        "option": "string",
                        "value": "string"
                    }
                ]
            },
            "switchoverParams": {
                "switchoverType": "string",
                "schedule": {
                    "startTime": 0,
                    "expiryTime": 0,
                    "clearSchedule": false
                },
                "options": {
                    "vcpus": 0,
                    "memory": 0,
                    "removeISOs": false,
                    "retainMac": false,
                    "forcePowerOffVm": false,
                    "upgradeHardware": false,
                    "upgradeVMTools": false,
                    "removeCbrc": false,
                    "removeCbt": false,
                    "removeSnapshots": false,
                    "isEvcDisabled": false,
                    "retainTags": false,
                    "upgradeHardwareVersion": "string",
                    "replicateSecurityTags": false,
                    "updateCustomAttributes": false
                },
                "switchoverProfile": [
                    {
                        "option": "string",
                        "value": false
                    }
                ]
            },
            "placement": [
                {
                    "id": "string",
                    "name": "string",
                    "type": "string"
                }
            ],
            "storage": {
                "defaultStorage": {
                    "id": "string",
                    "type": "string",
                    "name": "string",
                    "diskProvisionType": "string",
                    "storageParams": [
                        {
                            "option": "string",
                            "value": "string"
                        }
                    ]
                },
                "diskMappings": [
                    {
                        "diskId": "string",
                        "storage": {
                            "id": "string",
                            "diskProvisionType": "string"
                        },
                        "storageParams": [
                            {
                                "option": "string",
                                "value": "string"
                            }
                        ]
                    }
                ]
            },
            "guestCustomization": {
                "changeSID": false,
                "personalizationScript": "string",
                "identity": {
                    "name": "string",
                    "domain": "string",
                    "domainName": "string"
                },
                "dnsCustomizations": {
                    "dns": [
                        "string"
                    ],
                    "dnsSuffixes": [
                        "string"
                    ]
                },
                "networkCustomizations": [
                    {
                        "macAddress": "string",
                        "ipAddress": "string",
                        "netmask": "string",
                        "gateways": [
                            "string"
                        ],
                        "dns": [
                            "string"
                        ],
                        "dnsSuffix": "string"
                    }
                ]
            },
            "networkParams": {
                "defaultMappings": [
                    {
                        "srcNetworkId": "string",
                        "srcNetworkType": "string",
                        "srcNetworkName": "string",
                        "destNetworkId": "string",
                        "destNetworkType": "string",
                        "destNetworkName": "string",
                        "bindingType": "string"
                    }
                ],
                "networkMappings": [
                    {
                        "srcNetworkName": "string",
                        "srcNetworkDisplayName": "string",
                        "srcNetworkValue": "string",
                        "srcNetworkHref": "string",
                        "destNetworkName": "string",
                        "destNetworkDisplayName": "string",
                        "destNetworkValue": "string",
                        "destNetworkHref": "string",
                        "macAddress": "string",
                        "isPrimaryNic": false,
                        "srcNetworkId": "string",
                        "srcNetworkType": "string",
                        "destNetworkId": "string",
                        "destNetworkType": "string",
                        "bindingType": "string",
                        "connected": false
                    }
                ]
            },
            "servicemeshId": "string",
            "tags": [
                "string"
            ]
        }
    ]
}
array of object
items
Optional

items

Authentication
This operation uses the following authentication methods.
Responses
201

Created

Returns migrationIntentsPostResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "items": [
        {
            "migrationId": "string",
            "migrationGroupId": "string",
            "entityId": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
errors
Optional

errors

array of object
warnings
Optional

warnings

array of object
items
Optional

items


400

Bad Request

Returns migrationIntentsPostResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "items": [
        {
            "migrationId": "string",
            "migrationGroupId": "string",
            "entityId": "string",
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
errors
Optional

errors

array of object
warnings
Optional

warnings

array of object
items
Optional

items


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/mobility/migrations